Inhalte
Index 🔎︎

# Funktion Shell

Startet ein anderes Anwendungsprogramm und bestimmt bei Bedarf dessen Darstellungsform.

### Syntax:

Shell (Pfadname As String[, Fensterdarstellung As Integer][, Parameter As String][, bSync])

### Parameter:

### Pfadname

Vollständiger Pfad und Programmname des zu startenden Programms.

### Fensterdarstellung

Optionaler beliebiger Ausdruck vom Typ Integer, der die Darstellungsart des Programms bestimmt. Folgende Werte sind möglich:

Windowstyle | Bedeutung
--- | ---
0 | Der Fokus liegt auf dem versteckten Programmfenster.
1 | Der Fokus liegt auf dem Programmfenster in der Standardgröße.
2 | Das Programmfenster wird als Symbol angezeigt und ist fokussiert.
3 | Das Programmfenster wird in Maximalgröße angezeigt und ist fokussiert.
4 | Das Programmfenster wird in Standardgröße angezeigt, ohne Fokus.
6 | Das Programmfenster wird als Symbol angezeigt; das aktuelle Fenster behält den Fokus.
10 | Vollbilddarstellung.

### Parameter

Ein beliebiger Zeichenkettenausdruck, der die zu übergebende Befehlszeile angibt.

### bSync

Ist dieser Wert auf True gesetzt, so warten der Shell-Befehl und alle anderen LibreOffice-Tasks, bis der so gestartete Shell-Prozess beendet ist. Ist der Wert auf False gesetzt, wird das Kommando sofort wieder zurückgegeben. Der Standardwert ist False.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

53 Datei nicht gefunden

73 Nicht implementiert

### Beispiel:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub